Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Headers

Idempotency-Key
string
required

Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.

Body

application/json

Operating account creation parameters

label
string
required

Human-readable label for the operating account.

Minimum string length: 1

Response

200 - application/json

The account creation simulation acknowledgement

type
enum<string>
required

Resource type discriminator.

Available options:
account_simulation
success
boolean
required

Whether the simulation submission was successful.

account_id
string<uuid>
required

Account whose lifecycle is being simulated.

event
enum<string>
required

Account lifecycle event submitted to the sandbox.

Available options:
create,
freeze,
unfreeze,
close,
drain
payout_id
string<uuid> | null
required

Payout created by a drain event. Feed to POST /v1/simulations/payouts/{id}/send to settle. null for non-drain events.